std::recursive_mutex Class Reference
Concurrency » Mutexes

`#include <mutex>`

## Public Types

typedef __native_type * | native_handle_type

## Public Member Functions

| recursive_mutex (const recursive_mutex &)=delete
void | lock ()
native_handle_type | native_handle () noexcept
recursive_mutex & | operator= (const recursive_mutex &)=delete
bool | try_lock () noexcept
void | unlock ()

## Detailed Description

The standard recursive mutex type.

Definition at line 94 of file mutex.

## Member Typedef Documentation

## native_handle_type

typedef __native_type* std::recursive_mutex::native_handle_type

Definition at line 97 of file mutex.

## Member Function Documentation

## lock()

void std::recursive_mutex::lock | ( |  | ) |

inline

Definition at line 106 of file mutex.

## native_handle()

native_handle_type std::recursive_mutex::native_handle | ( |  | ) |

inline noexcept

Definition at line 130 of file mutex.

## try_lock()

bool std::recursive_mutex::try_lock | ( |  | ) |

inline noexcept

Definition at line 116 of file mutex.

## unlock()

void std::recursive_mutex::unlock | ( |  | ) |

inline

Definition at line 123 of file mutex.

The documentation for this class was generated from the following file:

- mutex